      SUBROUTINE DISHED(IPAGE,PLDESC,FIRST)                             DISH001
C-----------------------------------------------------------------------DISH002
C                                                                       DISH003
C  SUBROUTINE DISHED  -  Start new page for distorted geometry plot     DISH004
C                                                                       DISH005
C----------------------------------------------------------------------+DISH006
                                                                        DISH007
CHECK v.3.1-->                                                          DISH008
C      SUBROUTINE DISHED(IPAGE)                                         DISH009
CHECK v.3.2-->                                                          DISH010
C      SUBROUTINE DISHED(IPAGE,PLDESC)                                  DISH011
CHECK v.3.2<--                                                          DISH012
CHECK v.3.1<--                                                          DISH013
                                                                        DISH014
      INCLUDE 'bplot.inc'                                               DISH015
                                                                        DISH016
      CHARACTER*2   PAGENO                                              DISH017
      CHARACTER*7   PAGE                                                DISH018
CHECK v.3.1-->                                                          DISH019
      CHARACTER*30  PLDESC                                              DISH020
CHECK v.3.1<--                                                          DISH021
CHECK v.3.2-->                                                          DISH022
      CHARACTER*60  PTITLE                                              DISH023
CHECK v.3.2<--                                                          DISH024
      INTEGER       IPAGE                                               DISH025
CHECK v.3.2-->                                                          DISH026
      LOGICAL       FIRST                                               DISH027
CHECK v.3.2<--                                                          DISH028
      REAL          XCENTR, XSTART, YTOP                                DISH029
                                                                        DISH030
C---- Open new PostScript file                                          DISH031
CHECK v.3.1-->                                                          DISH032
C      CALL PSNAME(FILPS,PSLEN,IPLOT)                                   DISH033
CHECK v.3.2-->                                                          DISH034
C      CALL PSNAME(FILPS,PSLEN,IPLOT,PLDESC)                            DISH035
CHECK v.3.2<--                                                          DISH036
CHECK v.3.1<--                                                          DISH037
CHECK v.3.2-->                                                          DISH038
C      CALL PSOPEN(FILPS,BBOXX1,BBOXX2,BBOXY1,BBOXY2,MXCOLR,RGB,        DISH039
C     -    INCOLR(PLTYPE),COLPLT(PLTYPE,1))                             DISH040
      PTITLE = 'Distorted geometry'                                     DISH041
      IF (.NOT.COMBPS .OR. FIRST) THEN                                  DISH042
          CALL PSNAME(FILPS,PSLEN,IPLOT,PLDESC,'distortgm',WITHAN)      DISH043
CHECK v.3.4-->                                                          DISH044
C          CALL PSOPEN(FILPS,MXCOLR,RGB,INCOLR(PLTYPE),PTITLE,          DISH045
C     -        IPAGE + 1)                                               DISH046
          CALL PSOPEN(FILPS,MXCOLR,RGB,NCOLOR,INCOLR(PLTYPE),PTITLE,    DISH047
     &        IPAGE + 1)                                                DISH048
CHECK v.3.4<--                                                          DISH049
      ENDIF                                                             DISH050
      CALL PSPAGE(FILPS,BBOXX1,BBOXX2,BBOXY1,BBOXY2,MXCOLR,RGB,         DISH051
CHECK v.3.4-->                                                          DISH052
C     -    INCOLR(PLTYPE),COLPLT(PLTYPE,1),IPAGE + 1,PLABEL)            DISH053
     &    INCOLR(PLTYPE),COLPLT(PLTYPE,1),IPAGE + 1,PLABEL,.FALSE.)     DISH054
CHECK v.3.4<--                                                          DISH055
CHECK v.3.2<--                                                          DISH056
                                                                        DISH057
C---- Initialise variables                                              DISH058
      XSTART = DGMRGX                                                   DISH059
      XCENTR = XSTART + DGWIDX / 2.0                                    DISH060
      YTOP = DGMRGY + DGWIDY                                            DISH061
      CALL PSLWID(0.1)                                                  DISH062
                                                                        DISH063
C---- Main graph heading                                                DISH064
      CALL PSCTXT(XCENTR,YTOP + 36.0,30.0,'Distorted geometry')         DISH065
      CALL PSCTXT(XCENTR,YTOP + 6.0,25.0,BRCODE(1:BLEN))                DISH066
                                                                        DISH067
CHECK v.3.2-->                                                          DISH068
C---- Print program name in top left-hand corner                        DISH069
      CALL PSTEXT(BBOXX1 + 15.0,BBOXY2 - 10.0,10.0,'PROCHECK')          DISH070
CHECK v.3.2<--                                                          DISH071
                                                                        DISH072
C---- Print page number                                                 DISH073
      IPAGE = IPAGE + 1                                                 DISH074
      WRITE(PAGENO,'(I2)') IPAGE                                        DISH075
      PAGE = 'Page ' // PAGENO                                          DISH076
      CALL PSCTXT(BBOXX2 - 40.0,BBOXY2 - 20.0,12.0,PAGE)                DISH077
                                                                        DISH078
      RETURN                                                            DISH079
      END                                                               DISH080
